<p>bikes-create works!</p>
<div>
    <form [formGroup] = "formSearchBike" (ngSubmit) = "searchBike()">
        <label for="">Buscador</label>
        <input type="text" formControlName="serial" (blur)="searchBike()">
        <button type="submit">Buscar</button>
    </form>
    <p *ngIf="bike"> {{bike | json}}</p>
    <p *ngIf="!statusSearchSerial" class="alert"> La bicicleta no se encuentra con ese número de serial</p>
</div>
<br/>
<table>
    <tr>
        <th>Id</th>
        <th>Model</th>
        <th>Price</th>
        <th>Serial</th>
        <th>image</th>
        <th>imageContentType</th>
    </tr>

    <tr *ngFor="let item of bike">
            <th> {{ item.id }}</th>
            <th> {{ item.model }} </th>
            <th> {{ item.price }} </th>
            <th> {{ item.serial }} </th>
            <th> {{ item.image }} </th>
            <th> {{ item.imageContentType }} </th>      
        </tr>
</table>

<p>------------------------------------------------************************************************-----------------------------------------</p>
<h2>INGRESE LOS DATOS DE LA BICICLETA</h2>

<form [formGroup]= "bikeFormGroup" novalidate (ngSubmit)="saveBike()">

    <div>
        <label for="">Model</label>
        <input type="text" formControlName="model" name="model">
        
        <div *ngIf="bikeFormGroup.get('model').invalid && 
        (bikeFormGroup.get('model').dirty || bikeFormGroup.get('model').touched)">
        
        <div *ngIf= "bikeFormGroup.get('model').errors.required">
            <p class="error-validate">El campo es requerido</p>
        </div>   
        
        <div *ngIf= "bikeFormGroup.get ('model').errors.maxlength">
            <p class="error-validate"> El campo debe tener maximo 4 carateres</p>
        </div> 


    </div>
    </div>


    <div>
        <label for="">Price</label>
        <input type="text" formControlName="price" name="price">

        <div *ngIf="bikeFormGroup.get('price').invalid && 
        (bikeFormGroup.get('price').dirty || bikeFormGroup.get('price').touched)">
        
        <div *ngIf= "bikeFormGroup.get('price').errors.required">
            <p class="error-validate">El campo es requerido</p>
        </div>   
        
    </div>
    </div>


    <div>
        <label for="">Serial</label>
        <input type="text" formControlName="serial" name="serial">

        <div *ngIf="bikeFormGroup.get('serial').invalid && 
        (bikeFormGroup.get('serial').dirty || bikeFormGroup.get('serial').touched)">
        
        <div *ngIf="bikeFormGroup.get('serial').errors.required">
            <p class="error-validate">El campo es requerido</p>
        </div>
        
        <div *ngIf= "bikeFormGroup.get ('serial').errors.maxlength">
            <p class="error-validate"> El campo debe tener maximo 5 carateres</p>

    
        </div> 
    </div>
    </div>

    <button type="submit" [disabled]="bikeFormGroup.invalid"> Guardar </button>

</form>



